OpenVDB 3.2.0

Classes | Public Types | Public Member Functions | List of all members
IncompleteCholeskyPreconditioner< MatrixType > Class Template Reference

Preconditioner using incomplete Cholesky factorization. More...

`#include <ConjGradient.h>`

Inherits Preconditioner< MatrixType::ValueType >.

## Public Types
typedef MatrixType::ValueType | ValueType
typedef Preconditioner< ValueType > | BaseType
typedef Vector< ValueType > | VectorType
typedef boost::shared_ptr< IncompleteCholeskyPreconditioner > | Ptr
typedef SparseStencilMatrix< ValueType, 4 > | TriangularMatrix
typedef TriangularMatrix::ConstRow | TriangleConstRow
typedef TriangularMatrix::RowEditor | TriangleRowEditor

## Public Member Functions
| IncompleteCholeskyPreconditioner (const MatrixType &matrix)
virtual | ~IncompleteCholeskyPreconditioner ()
virtual bool | isValid () const
virtual void | apply (const Vector< ValueType > &rVec, Vector< ValueType > &zVec)
| Apply this preconditioner to a residue vector: z = M−1r More...
const TriangularMatrix & | lowerMatrix () const
const TriangularMatrix & | upperMatrix () const

## Detailed Description

### template<typename MatrixType>
class openvdb::v3_2_0::math::pcg::IncompleteCholeskyPreconditioner< MatrixType >

Preconditioner using incomplete Cholesky factorization.

## Member Typedef Documentation

## ◆ BaseType

typedef Preconditioner<ValueType> BaseType

## ◆ Ptr

typedef boost::shared_ptr<IncompleteCholeskyPreconditioner> Ptr

## ◆ TriangleConstRow

typedef TriangularMatrix::ConstRow TriangleConstRow

## ◆ TriangleRowEditor

typedef TriangularMatrix::RowEditor TriangleRowEditor

## ◆ TriangularMatrix

typedef SparseStencilMatrix<ValueType, 4> TriangularMatrix

## ◆ ValueType

typedef MatrixType::ValueType ValueType

## ◆ VectorType

typedef Vector<ValueType> VectorType

## Constructor & Destructor Documentation

## ◆ IncompleteCholeskyPreconditioner()

IncompleteCholeskyPreconditioner | ( | const MatrixType & | matrix | ) |
| inline

## ◆ ~IncompleteCholeskyPreconditioner()

virtual ~IncompleteCholeskyPreconditioner | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ apply()

virtual void apply | ( | const Vector< ValueType > & | r,
|  | Vector< ValueType > & | z
| ) |  |
| inline virtual

Apply this preconditioner to a residue vector: z = M−1r

Parameters

  | r | residue vector
  [out] | z | preconditioned residue vector

Implements Preconditioner< MatrixType::ValueType >.

## ◆ isValid()

virtual bool isValid | ( |  | ) | const
| inline virtual

Reimplemented from Preconditioner< MatrixType::ValueType >.

## ◆ lowerMatrix()

const TriangularMatrix& lowerMatrix | ( |  | ) | const
| inline

## ◆ upperMatrix()

const TriangularMatrix& upperMatrix | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- ConjGradient.h